<?php

// uncomment the following to define a path alias
// Yii::setPathOfAlias('local','path/to/local-folder');

// This is the main Web application configuration. Any writable
// CWebApplication properties can be configured here.
return array(
	//'class' => 'ext.nlacsoft.NLSWebApplication',

	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name'=>'xcruder module demo v1.2',

	//language
	'language'=>'en',
	
	// preloading 'log' component
	'preload'=>array('log'),

	// autoloading model and component classes
	'import'=>array(
		'application.models.*',
		'application.components.*',
		'ext.giix-components.*',//giix components
		'ext.advancedrelationsbehavior.*'
	),
	
	'modules'=>array(

		//uncomment the following to enable the Gii tool
		'gii'=>array(
			'class'=>'system.gii.GiiModule',
			'password'=>'admin',
		 	// If removed, Gii defaults to localhost only. Edit carefully to taste.
			//,'ipFilters'=>array('127.0.0.1','::1')
			
			//GTC template collection
			'generatorPaths' => array(
				'ext.gtc',//gtc+ygc
				'ext.giix-core'//giix
			)
		
		),
		
		'xcruder'=>array(
			'c_models' => array(
				'application.models.Post',
				'application.models.Tag',
				'application.models.Comment',
				'application.models.Blogger'
			)
		)

	),//modules
		
	//components
	'components'=>array(
		
		'session' => array(
			'autoStart' => false
		),

		'clientScript' => array(
			'class' => 'ext.nlacsoft.NLSClientScript',
			'hashMode' => 'PATH', //PATH|CONTENT
			'bInlineJs' => false
		),

		'user'=>array(
			// enable cookie-based authentication
			'allowAutoLogin'=>true,
		),

		//enabling Prado template format
		'viewRenderer'=>array(
		  'class'=>'CPradoViewRenderer'
		),

		// uncomment the following to enable URLs in path-format
		/*
		'urlManager'=>array(
			'urlFormat'=>'path',
			'rules'=>array(
				'<controller:\w+>/<id:\d+>'=>'<controller>/view',
				'<controller:\w+>/<action:\w+>/<id:\d+>'=>'<controller>/<action>',
				'<controller:\w+>/<action:\w+>'=>'<controller>/<action>',
			),
		),
		*/
		//'db'=>array(
		//	'connectionString' => 'sqlite:'.dirname(__FILE__).'/../data/testdrive.db',
		//),
		// uncomment the following to use a MySQL database

		'db'=>array(

			//PHPPDO if needed
			//'class'=>'application.extensions.phppdo.CPdoDbConnection',
			//'pdoClass' => 'PHPPDO',

			'connectionString' => 'mysql:host=localhost;dbname=yii_blog',
			'tablePrefix' => 'tbl_',
			'emulatePrepare' => true,
			'username' => 'test',
			'password' => 'test',
			'charset' => 'utf8',
			
			//performance setting: setting > 0 will increase performance
			'schemaCachingDuration' => 0
		),

		'errorHandler'=>array(
			// use 'site/error' action to display errors
			'errorAction'=>'site/error'
    ),
		'log'=>array(
			'class'=>'CLogRouter',
			'routes'=>array(
				array(
					'class'=>'CFileLogRoute',
					'levels'=>'error, warning, info'
				)
				// uncomment the following to show log messages on web pages
				/*
				array(
					'class'=>'CWebLogRoute',
				),
				*/
			)
		)
	),

	// application-level parameters that can be accessed
	// using Yii::app()->params['paramName']
	'params'=>array(
		// this is used in contact page
		'adminEmail'=>'webmaster@example.com',
		'dev' => 1,
		'pageSize' => 6
	)
);
