<?php

/**
 * This is the model base class for the table "{{comment}}".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Comment".
 *
 * Columns in table "{{comment}}" available as properties of the model,
 * followed by relations of table "{{comment}}" available as properties of the model.
 *
 * @property integer $id
 * @property string $content
 * @property string $status
 * @property string $create_time
 * @property string $author
 * @property string $email
 * @property string $url
 * @property integer $post_id
 *
 * @property Post $post
 */
abstract class BaseComment extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return '{{comment}}';
	}

	public static function representingColumn() {
		return 'content';
	}

	public function rules() {
		return array(
			array('content, status, author, email, post_id', 'required'),
			array('post_id', 'numerical', 'integerOnly'=>true),
			array('status', 'length', 'max'=>8),
			array('author, email, url', 'length', 'max'=>128),
			array('create_time', 'safe'),
			array('create_time, url', 'default', 'setOnEmpty' => true, 'value' => null),
			array('id, content, status, create_time, author, email, url, post_id', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'post' => array(self::BELONGS_TO, 'Post', 'post_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'id' => Yii::t('app', 'ID'),
			'content' => Yii::t('app', 'Content'),
			'status' => Yii::t('app', 'Status'),
			'create_time' => Yii::t('app', 'Create Time'),
			'author' => Yii::t('app', 'Author'),
			'email' => Yii::t('app', 'Email'),
			'url' => Yii::t('app', 'Url'),
			'post_id' => Yii::t('app', 'Post'),
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('id', $this->id);
		$criteria->compare('content', $this->content, true);
		$criteria->compare('status', $this->status, true);
		$criteria->compare('create_time', $this->create_time, true);
		$criteria->compare('author', $this->author, true);
		$criteria->compare('email', $this->email, true);
		$criteria->compare('url', $this->url, true);
		$criteria->compare('post_id', $this->post_id);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}