<?php
/**
 * view browse/index
 * 
 * Parameters:
 *  $filter
 *  $gridColumns
 *  $dataProvider
 *  
 *  Optional:
 *  $modelRelationName
 *	$modelRelationClass
 * 
 */

if (isset($filter) && isset($gridColumns)) {

$id_view = $this->getViewId();
$id_grid = $id_view . '_grid';
$id_form = $id_view . '_form';
$bHasParent = isset($modelPk) && isset($modelRelationName);

if ($bHasParent) {
?>

<div>
	<a class="highlight1" href="javascript:xcruder.changeModelClass('<%= $relatedModelClass %>')">
		<%= $relatedModelClass %>
	</a> 
	records in <span class="highlight2"><%= $modelRelationClass %></span>
</div>

<?php
}

$form = XcruderHtml::xpBeginForm(
	$this,
	$bHasParent ? 'delete/related' : 'delete/index',
	$id_form,
	'browse-form',
	$id_grid
	//'function(resp){xcruder.delCheckedRows("' . $id_grid . '");xcruder.onsuccess_form("#' . $id_form . '", undefined);}'
	//'function(resp){ setTimeout(function$.fn.yiiGridView.update("' . $id_grid . '") }'
);

echo XcruderHtml::hiddenField("selected_ids", $id_grid . '_c0');

$this->widget('zii.widgets.grid.CGridView', array(
	'id' => $id_grid,
	'htmlOptions' => array(
	),
	'filter' => $filter,
	'dataProvider' => $dataProvider,
	'columns' => $gridColumns,//array_keys($model->getTableSchema()->columns)
	'selectableRows' => 2,
	'afterAjaxUpdate' => "function(id,data){xcruder.setupGrid(id)}"
	//'selectionChanged' => ...,//not proper here - cannot get the actual row index in the callback
	//'enablePagination' => true,
));

XcruderHtml::xpEndForm($this);

?>




<div class="operations">

<?php 
	
	//link to the multiple delete action: any time
	echo CHtml::link('', 
		'javascript:(function(){if (xcruder.canDeleteRelateds("' . @$modelRelationClass . '", "' . $id_grid . '") && confirm("' 
		. Yii::t('XcruderModule.t', $bHasParent ? 'confirm-delete-multiple-relation' : 'confirm-delete-multiple-record') 
		. '"))$("#' . $id_view . '_form").submit()})()',
		array(
			'id'=>$id_view . '_delete',
			'class'=>'icon delete',
			'title'=>Yii::t('XcruderModule.t','delete-selecteds'),
			//'onclick'=>'return xcruder.canDeleteRelateds("' . @$modelRelationClass . '", "' . $id_grid . '");'
		)
	); 
	
	//echo @$modelRelationClass . '-' . @$dataProvider->totalItemCount;
	
	//link to the Create dialog: only if 
	if (true) {
	//if (@$modelRelationClass != CActiveRecord::BELONGS_TO) {
		
		$url = $this->createUrl('create/index', array(
			'createModelClass' => $bHasParent ? $relatedModelClass : $modelClass,
			'update_grid_id' => $id_grid
		));
		
		$code = 'if (xcruder.canCreateRelated("' . @$modelRelationClass . '", "' . $id_grid . '")) '
			. CHtml::ajax(array(
					'url' => $url,
					'success' => 'js:(function(resp){xcruder.onrender_form(\'#createcontainer\', resp)})'
				));
		
		echo CHtml::link('','javascript:(function(){' . $code . '})()', array(
				'id'=>$id_view . '_create',
				'class'=>'icon create',
				'title'=>Yii::t('XcruderModule.t', $bHasParent ? 'create-new-record-into-relation' : 'create-new-record'),
		));
		
	}

	if ($bHasParent) {
		//allowing to select existing records into the relation
		
		$url = $this->createUrl('picker/index', array(
				'pickerModelClass' => $relatedModelClass,
				'selectableRows' => 2,
				'parentModelClass' => $modelClass,
				'parentPk' => @$modelPk,
				'bShowButtons' => true,
				'update_grid_id' => $id_grid
			));
		
		$code = 'if (xcruder.canSelectRelated("' . @$modelRelationClass . '", "' . $id_grid . '")) '
			. CHtml::ajax(array(
					'url' => $url,
					'success' => 'js:(function(resp){xcruder.onrender_form(\'#pickercontainer\', resp)})'
				));

		echo CHtml::link('','javascript:(function(){' . $code . '})()', array(
				'id' => $id_view . '_picker',
				'class'=>'icon select',
				'title'=>Yii::t('XcruderModule.t','select-into-relation'),
		));
		
	}

echo '<a id="' . $id_grid . '-refresh" class="icon grid-refresh" href="javascript:(function(){ $.fn.yiiGridView.update(\'' . $id_grid . '\')  })()"></a>';

?>

</div>

<script type="text/javascript">
xcruder.lastBrowseGrid = "<%= $id_grid %>";
xcruder.setupGrid('<%= $id_grid %>');
</script>

<?php
} else {

	echo "no model choosen";

}
?>

<!-- tabview for related records 
relatedscontainer_<%= $modelLevel %>:
-->
<div id="relatedscontainer_<%= $modelLevel . '_' . @$modelRelationName %>" class="form-container"></div>
